/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: TextQueryService.java 566891 2007-08-17 00:35:14Z natalia $
 */

package org.apache.xindice.client;

import org.xmldb.api.base.Service;
import org.xmldb.api.base.ResourceSet;
import org.xmldb.api.base.XMLDBException;

/**
 * TextQueryService allows using full text search against a collection. The
 * context collection must have LuceneIndexer in order to execute a search.
 *
 * @version $Revision: 566891 $, $Date: 2007-08-16 20:35:14 -0400 (Thu, 16 Aug 2007) $
 */
public interface TextQueryService extends Service {
    ResourceSet query(String string) throws XMLDBException;
    ResourceSet queryResource(String string, String string1) throws XMLDBException;
}
