/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: HtmlResourceViewer.java 551433 2007-06-28 03:24:00Z vgritsenko $
 */

package org.apache.xindice.webadmin.viewer;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.xindice.core.Collection;

/**
 * Xindice Html Resource Interface Component.
 *
 * @author <a href="mailto:jmetzner@apache.org">Jan Metzner</a>
 * @version $Revision: 551433 $, $Date: 2007-06-27 23:24:00 -0400 (Wed, 27 Jun 2007) $
 */
public interface HtmlResourceViewer {

    /**
     * executes request to a resource.
     *
     * @param req request from servlet.
     * @param res servlet response.
     * @param col parent collection of the requested resource (not null).
     * @param resourceName name of the requested resource.
     */
    public void execute(HttpServletRequest req, HttpServletResponse res, Collection col, String resourceName)
    throws ServletException, IOException;
}
