/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: IntegrationTests.java 566891 2007-08-17 00:35:14Z natalia $
 */

package org.apache.xindice.integration;

import org.apache.xindice.integration.client.basic.CollectionTest;
import org.apache.xindice.integration.client.basic.DocumentTest;
import org.apache.xindice.integration.client.basic.IndexTest;
import org.apache.xindice.integration.client.resources.BinaryResourceTest;
import org.apache.xindice.integration.client.services.IndexedSearchTest;
import org.apache.xindice.integration.client.services.MetaTest;
import org.apache.xindice.integration.client.services.XPathQueryTest;
import org.apache.xindice.integration.client.services.XUpdateQueryTest;
import org.apache.xindice.integration.client.services.TextQueryTest;

import junit.framework.TestSuite;

/**
 * @version $Revision: 566891 $, $Date: 2007-08-16 20:35:14 -0400 (Thu, 16 Aug 2007) $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class IntegrationTests {

    public static TestSuite testSuite(String name) {
        TestSuite suite = new TestSuite(name);
        suite.addTestSuite(CollectionTest.class);
        suite.addTestSuite(IndexTest.class);
        suite.addTestSuite(DocumentTest.class);
        suite.addTestSuite(XUpdateQueryTest.class);
        suite.addTestSuite(XPathQueryTest.class);
        suite.addTestSuite(TextQueryTest.class);
        suite.addTestSuite(MetaTest.class);
        suite.addTestSuite(IndexedSearchTest.class);
        suite.addTestSuite(BinaryResourceTest.class);
        return suite;
    }
}
