/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: AbstractXmlDbClientTest.java 512591 2007-02-28 03:35:44Z vgritsenko $
 */

package org.apache.xindice.integration.client;

import junit.framework.TestCase;

/**
 * @version $Revision: 512591 $, $Date: 2007-02-27 22:35:44 -0500 (Tue, 27 Feb 2007) $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public abstract class AbstractXmlDbClientTest extends TestCase {

    public static final String TEST_COLLECTION_PATH = XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME + "/current";

    protected XmlDbClient client;

    public void setXmlDbClient(XmlDbClient client) {
        this.client = client;
    }

    public void setUp() throws Exception {
        this.client.createCollection(XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME, "current");
    }

    public void tearDown() throws Exception {
        this.client.dropCollection(XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME, "current");
    }
}
